OGRE: Ogre::VariableAccessAbstractNode Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::VariableAccessAbstractNode Class Reference
Core » General

This abstract node represents a variable assignment. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::VariableAccessAbstractNode:
[legend]

## Public Member Functions
| VariableAccessAbstractNode (AbstractNode *ptr)
AbstractNode * | clone () const
| Returns a new AbstractNode which is a replica of this one. More...
String | getValue () const
| Returns a string value depending on the type of the AbstractNode. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
Any | context
String | file
unsigned int | line
String | name
AbstractNode * | parent
AbstractNodeType | type

## Detailed Description

This abstract node represents a variable assignment.

## Constructor & Destructor Documentation

## ◆ VariableAccessAbstractNode()

Ogre::VariableAccessAbstractNode::VariableAccessAbstractNode | ( | AbstractNode * | ptr | ) |

## Member Function Documentation

## ◆ clone()

AbstractNode* Ogre::VariableAccessAbstractNode::clone | ( |  | ) | const
| virtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

## ◆ getValue()

String Ogre::VariableAccessAbstractNode::getValue | ( |  | ) | const
| virtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ context

Any Ogre::AbstractNode::context
| inherited

## ◆ file

String Ogre::AbstractNode::file
| inherited

## ◆ line

unsigned int Ogre::AbstractNode::line
| inherited

## ◆ name

String Ogre::VariableAccessAbstractNode::name

## ◆ parent

AbstractNode* Ogre::AbstractNode::parent
| inherited

## ◆ type

AbstractNodeType Ogre::AbstractNode::type
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h